# FoundationClasses
TKAdvTools
GraphDS

# GraphDS_EntityRoleMap Class Reference

`#include <GraphDS_EntityRoleMap.hxx>`

Inheritance diagram for GraphDS_EntityRoleMap:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GraphDS_EntityRoleMap (const Standard_Integer NbBuckets=1)
Standard_EXPORT GraphDS_EntityRoleMap & | Assign (const GraphDS_EntityRoleMap &Other)
GraphDS_EntityRoleMap & | operator= (const GraphDS_EntityRoleMap &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~GraphDS_EntityRoleMap ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(Standard_Transient)&K, const GraphDS_EntityRole &I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(Standard_Transient)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(Standard_Transient)&K)
Standard_EXPORT const GraphDS_EntityRole & | Find (const Handle(Standard_Transient)&K) const
const GraphDS_EntityRole & | operator() (const Handle(Standard_Transient)&K) const
Standard_EXPORT GraphDS_EntityRole & | ChangeFind (const Handle(Standard_Transient)&K)
GraphDS_EntityRole & | operator() (const Handle(Standard_Transient)&K)

## Private Member Functions

Standard_EXPORT | GraphDS_EntityRoleMap (const GraphDS_EntityRoleMap &Other)

## Constructor & Destructor Documentation

Standard_EXPORT GraphDS_EntityRoleMap::GraphDS_EntityRoleMap | ( | const Standard_Integer | NbBuckets = `1` | ) |

GraphDS_EntityRoleMap::~GraphDS_EntityRoleMap | ( |  | ) | `[inline]`

Standard_EXPORT GraphDS_EntityRoleMap::GraphDS_EntityRoleMap | ( | const GraphDS_EntityRoleMap & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT GraphDS_EntityRoleMap& GraphDS_EntityRoleMap::Assign | ( | const GraphDS_EntityRoleMap & | Other | ) |

Standard_EXPORT Standard_Boolean GraphDS_EntityRoleMap::Bind | ( | const Handle(Standard_Transient)& | K,
|  | const GraphDS_EntityRole & | I
| ) |

Standard_EXPORT GraphDS_EntityRole& GraphDS_EntityRoleMap::ChangeFind | ( | const Handle(Standard_Transient)& | K | ) |

Standard_EXPORT void GraphDS_EntityRoleMap::Clear | ( |  | ) |

Standard_EXPORT const GraphDS_EntityRole& GraphDS_EntityRoleMap::Find | ( | const Handle(Standard_Transient)& | K | ) | const

Standard_EXPORT Standard_Boolean GraphDS_EntityRoleMap::IsBound | ( | const Handle(Standard_Transient)& | K | ) | const

void GraphDS_EntityRoleMap::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* GraphDS_EntityRoleMap::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* GraphDS_EntityRoleMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

GraphDS_EntityRole& GraphDS_EntityRoleMap::operator() | ( | const Handle(Standard_Transient)& | K | ) | `[inline]`

const GraphDS_EntityRole& GraphDS_EntityRoleMap::operator() | ( | const Handle(Standard_Transient)& | K | ) | const`[inline]`

GraphDS_EntityRoleMap& GraphDS_EntityRoleMap::operator= | ( | const GraphDS_EntityRoleMap & | Other | ) | `[inline]`

Standard_EXPORT void GraphDS_EntityRoleMap::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean GraphDS_EntityRoleMap::UnBind | ( | const Handle(Standard_Transient)& | K | ) |

The documentation for this class was generated from the following file:

- GraphDS_EntityRoleMap.hxx